JTS Topology Suite version 1.13

## com.vividsolutions.jts.noding
Interface Noder

All Known Implementing Classes:
  IteratedNoder, MCIndexNoder, MCIndexSnapRounder, ScaledNoder, SimpleNoder, SimpleSnapRounder, SinglePassNoder

    public interface Noder

Computes all intersections between segments in a set of `SegmentString`s. Intersections found are represented as `SegmentNode`s and added to the `SegmentString`s in which they occur. As a final step in the noding a new set of segment strings split at the nodes may be returned.

Version:
  1.7

Method Summary
`void` `computeNodes(java.util.Collection segStrings)` Computes the noding for a collection of `SegmentString`s.
`java.util.Collection` `getNodedSubstrings()` Returns a `Collection` of fully noded `SegmentString`s.

Method Detail

### computeNodes

    void computeNodes(java.util.Collection segStrings)

  Computes the noding for a collection of `SegmentString`s. Some Noders may add all these nodes to the input SegmentStrings; others may only add some or none at all.

  Parameters:
    `segStrings` - a collection of `SegmentString`s to node

### getNodedSubstrings

    java.util.Collection getNodedSubstrings()

  Returns a `Collection` of fully noded `SegmentString`s. The SegmentStrings have the same context as their parent.

  Returns:
    a Collection of SegmentStrings

JTS Topology Suite version 1.13